Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.crosswire.common.util
Class IOUtil

    java.lang.Object
      org.crosswire.common.util.IOUtil

    public final class IOUtil

extends Object

.

Author:
  Joe Walker [joe at eireneh dot com]
See Also:
  `for license details.
  The copyright to this program is held by it's authors.`

Field Summary
`private static Logger` | `log` The log stream

Constructor Summary
`private` | `IOUtil()` Prevent instansiation

Method Summary
`static void` | `close(InputStream in)` Close the stream whatever without complaining
`static void` | `close(OutputStream out)` Close the stream whatever without complaining
`static void` | `unpackZip(File file, File destdir)` Unpack a zip file to a given directory.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    private static final Logger log

  The log stream

Constructor Detail

### IOUtil

    private IOUtil()

  Prevent instansiation

Method Detail

### unpackZip

    public static void unpackZip(File file,
                                 File destdir)
                          throws IOException

  Unpack a zip file to a given directory. Honor the paths as given in the zip file.

  Parameters:
    `file` - The zip file to download
    `destdir` - The directory to unpack up
  Throws:
    `IOException` - If there is an file error

### close

    public static void close(OutputStream out)

  Close the stream whatever without complaining

  Parameters:
    `out` - The stream to close

### close

    public static void close(InputStream in)

  Close the stream whatever without complaining

  Parameters:
    `in` - The stream to close

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Copyright ¨ 2003-2006
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD